<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_0ee0a25025d7" . "3f8693a4bb37a" . "3c298ac" => base64_decode("Y2hlY2tl" . "ZF9pbl9i" . "eQ=="), "_6e38cb9e043a07cd69a1" . "711a6704c62a" => base64_decode("cGFyZW" . "50X2lk"), "_d5ebf376f635c188ec65" . "813608e6ece5" => base64_decode("bmV3X3Zlc" . "nNpb24="));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0ee0a250" . "25d73f869" . "3a4bb37a3" . "c298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_d5ebf376f635c188ec" . "65813608e6ece5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_6e38cb9e043a07c" . "d69a1711a6704c62" . "a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}